Version 8:
- added Staff Room
- added Ghost Mansion Ride
- added Spiral Slide
- added generic and spooky walls
- added setting to flat rides for controlling how many rounds they go
- added "see through scenery" toggle
- added connecting to ride entrances/exits from the sides
- added color filters to graphics settings menu
- added TV deco objects
- added ride repair animation
- added log flume water flow animation
- added delivery crate stickers
- added fast object deletion: right-click an object, then drag the mouse around to only delete objects from the same category
- added recoloring multiple objects by click-dragging with the brush tool
- changed castle walls to be recolorable
- a bunch of game balance adjustments
- made path styles moddable
- fixed not being able to right-click-delete queues sometimes
- fixed custom colors of entrance tile not updating when recoloring queue
- fixed a case where guests stepped onto employee paths (possibly ride platforms too?)
- fixed Janitors not cleaning up if you dropped them on a pile of trash
- fixed bad path cursor positioning when right-click-deleting paths
- fixed delivery crates of removed shops staying around forever (get reused now if needed)
- fixed not being able to initiate angle slider drag by clicking anywhere on the circle
- fixed terraforming tools stopping to work when switching between tabs
- fixed guests occasionally leaving train before it's fully inside station

Version 7a:
- fixed issues with all swinging tracked rides
- fixed white artifacts on water lilies
- fixed Star Shape sometimes loading in wrong orientation and made it stop a bit faster
- fixed resize slider of resizable objects closing immediately
- fixed menu bar weather icon being a month behind
- should fix edge scrolling not working properly on some systems

Version 7:
- added Star Shape ride
- added deco builder categories
- added Ambient Occlusion (can be disabled in graphics settings)
- added some new deco objects, stone bench, new dirt path platforms
- added visualizations for the remaining person stat values
- added some more people outfits, hairstyles & hair color variation
- reduced people walking in circles on wide paths
- improved builder window loading times
- overall performance improvements
- fixed workmen dropping crates when loading savegame
- Linux: fixed decimal number input fields not working properly with a non-english locale
- Windows 10: fixed empty coaster/transport ride tabs when installing the game to C:/Program Files

Version 6b:
- significantly reduced memory usage
- fixed performance issues introduced in Pre-Alpha 6
- fixed mechanics being unable to reach rides
- fixed people drowning in tunnels below water
- Linux: fixed special segments in track builder being invisible

Version 6a:
- fixed guest spawning accidentally being disabled, OOPS (took precautions so this won't happen again)

Version 6:
- added Inverted Coaster
- added ride music
- added people <-> water interaction
- added saving color palettes, picking colors from existing objects, repainting existing objects
- added mod settings
- added sounds for: Bobsled Coaster, Vertical Drop Coaster
- added new background music
- added a couple hundred new build sound effects
- added attraction options: wait for half full, wait for full (+ Alpine Coaster can't run without full cars anymore)
- added new rain
- guests can leave trains now before they reached the front of the station
- improved mechanics behaviour for maintaining/repairing rides with multiple stations
- improved blueprint builder preview performance (a lot)
- some AI improvements; most notably made employees return to their assigned zone if they're outside of it
- improved track heightmarks: always keep them visible at unconnected track ends
- made sure windows don't accidentally get lost behind menu bars
- Windows: moved savegames, blueprints and mods to "My Documents/Parkitect" folder; fixes issues on Windows 10
- Linux: should fix windows not rendering properly
- fixed terraforming tool being fiddly when raising/lowering large sections of terrain
- fixed delivery crates getting stacked so high that handymen couldn't pick them up
- fixed objects not following cursor nicely when snapping to grid corners
- fixed guests being stuck on ride exit if exit isn't connected to a path
- fixed changing attraction waiting time not working
- fixed bobsled trains derailing when loading the game
- fixed bobsled trains derailing when pausing the game
- fixed excessive bobsled car swing on non-tube tracks
- fixed parts of notification bar text entries/windows sometimes showing through tunnel entrances
- fixed scrolling the deco builder window using mouse wheel sometimes not working properly
- fixed path builder remove button sometimes acting unpredictable, especially when removing stairs
- fixed zone borders/park fences not rendering properly in loaded parks
- fixed file name input fields (for savegames, blueprints) allowing invalid characters
- fixed being able to select/delete underground objects while not in underground mode

Version 5:
- added Linux support
- added Mod loading support
- added Bobsled Coaster
- added Castle Walls set
- added alternate cars for: Steel Coaster, Wild Mouse, Wooden Coaster
- added sounds for: Steel Coaster, Wild Mouse, Wing Coaster
- added offset half loops
- added tower ride height limits
- added terrain grid intensity option
- added closing windows with Escape
- added: hold Shift while dragging path to build tunnels through existing terrain
- added Entertainer functionality
- added adjustable terrain grid snapping for deco objects that aren't locked to the grid (Alt + number key to change grid resolution)
- widened Wing Coaster loops so cars don't clip into them
- using °F instead of °C when using imperial units
- disabled sounds for preview trains
- reduced memory usage
- improved path dragging behaviour when dragging over terrain that isn't simple slopes
- improved builder behaviour when building raised objects (stays snapped to position + height after build)
- improved park load times
- improved terraforming performance
- overall performance improvements
- disallowed building tracked ride stations too far below the ground/too high up for paths
- Mac: disabled menu bar and dock in fullscreen mode
- fixed Enterprise being misplaced if rotated
- fixed balloons going crazy during low FPS
- fixed some of the terraforming tools freaking out a bit if dragging outside terrain bounds
- fixed weird stuff happening if starting to edit a tracked ride while its info window is open
- fixed new parks starting at wrong date if another park has been loaded before
- fixed visual glitches if editing a tracked ride while a visualization view was enabled
- fixed clicking attraction platforms not properly opening the attraction info window as intended
- fixed guests being stuck on rides if ride exit leads into an employee path
- fixed bad things happening if double-clicking the "New Park" button on the splash screen
- fixed grasses and terrain overhangs being visible in underground view
- fixed underground paths having handrails in some situations
- fixed a case where path tiles would not properly get removed
- fixed game being unresponsive if loaded with a corrupted settings file
- fixed clicking on terrain slopes not building stairs although the preview showed stairs
- fixes terraforming sounds sometimes not stopping

Version 4b:
- fixed some extreme lag spikes introduced in Version 4

Version 4a:
- fixed Janitors path sweep animation not playing correctly
- fixed Janitors not being able to transport trash out of assigned zones
- fixed Janitors sometimes getting stuck in toilets if cleaning them while guests are using them
- fixed Haunted House doors
- fixed water not rendering properly on some systems

Version 4:
- added Alpine Coaster
- added Haunted House
- added people voices
- added 2 new fences
- added a bunch of spooky scenery items
- added 2 new terrain materials
- added assigning employees to zones
- added Imperial unit system option
- added LOD for a couple of objects
- added terrain height limit
- added transparent tunnels while in underground view
- updated path builder (improved build previews, raising/lowering paths)
- made snapping to paths work while in underground view (improves building underground paths, shops, benches etc.)
- improved underground view on/off toggling
- allowed placing new initial station platform after removing all segments of a ride from within the track builder
- increased max. path height
- performance: loading blueprint lists is pretty much instant now
- opened up more systems for modding
- improved park loading speed a bit
- fixed Double Ferris Wheel not working anymore after loading savegame
- fixed wrong sitting pose on Log Flume cars
- fixed not being able to right-click-delete through build previews
- fixed: removed handrails on stairs into underground tiles
- fixed follow-cam button scrolling view to wrong position if putting a tracked ride into test mode while game is paused
- fixed built object moving around while shift-raising and moving the camera
- fixed various smaller annoyances related to building stuff
- fixed white artifacts around objects placed in front of water
- fixes problems with cursor not matching UI positions in fullscreen mode

Version 3:
- added Mac support
- added Double Ferris Wheel ride
- added Vertical Drop Coaster
- added Helix track segments
- added newest available game version check to splash screen
- added edge scrolling (disabled by default)
- added settings menu (+ settings for enabling edge scrolling, changing sound volumes)
- added coaster brake release sounds
- added support for 4:3, 5:4 screen aspect ratios
- added separate tab for transport rides
- added ride last maintained/toilet last cleaned displays
- added new Workman outfit
- adjusted support height limits to more closely match real rides
- balance: made guests less picky/stingy with rides
- balance: lowered how tired people get from walking
- balance: guests become more interested in different rides over time
- new attractions are more popular for a while
- redesigned save/load windows
- set default graphics quality to "Fantastic" instead of "Fastest", OOPS (you can change graphics quality in the launcher before the game starts)
- increased zoom range
- performance: lowered people memory usage, reduced people load times ~12x
- made Entertainer recolorable
- fixed vomit footprints not being rendered properly anymore
- fixed chain lifts not catching trains properly sometimes
- fixed shop/flat ride/fence/path builders freaking out a bit when hovering cursor over vertical terrain
- fixed sometimes not being able to build a ride/shop next to vertical terrain even though there's enough space
- fixed a case where trains did not derail when they should
- fixed broken water on lower quality settings
- fixed queue signs being misplaced if spawned on stairs
- fixed 5° banks not behaving properly, throwing the entire track banking off
- fixed missing collision/height limits checks on first tracked ride segment
- fixed building blueprints through trees

Version 2:
- added "hired" date to employee info tab
- added "Opinions" tab for attractions, shops
- added indication for toilets that need cleaning
- added confirmation window before going into edit mode of an opened tracked ride
- added: people can walk across terrain now (if they're not on a path anymore for some reason)
- balance: reduced guest dirt tolerance
- reduced coaster friction a tiny bit
- lowered guests interest in re-visiting the same type of attraction depending on how often they've been on this type of attraction before and how long ago the last visit was
- made guests not leave queues if it starts raining
- made sure guests don't walk past dirty toilets if they really need one (but they won't like it)
- made janitors/handymen drop trash/crates if you pick them up
- improved terraforming performance
- disallowed raising tower rides through objects placed above them/raising underground towers out of ground
- increased minimum loop size
- started working on wooden coaster sounds
- fixed dent at the top of loops
- fixed camera not properly following trains anymore since 1.3
- fixed a case where a tracked ride train would not properly stop in the station
- fixed problems with placing water lilies
- fixed: clicking on a shop would sometimes select the shopkeeper inside
- fixed a case where queue lines would get messed up/break after loading savegame
- fixed rotating rides sometimes not stopping properly during low FPS
- fixed Teacups ride behaving strangely if not build in default orientation
- fixed a problem with stat calculation for rotated coaster blueprints
- fixed some flat ride platform tiles not being properly connected sometimes
- fixed puke hovering above stairs
- tracked ride stats should be more stable between different test runs now

Version 1.3:
NOTE: the game expects savegames to be in the Saves/Savegames folder now. Please move your existing savegames there if you want to continue using them.

- added Blueprints (saving tracked ride designs)
- added Wave Swinger ride
- added new topiaries
- added a bunch of new build sfx
- added new Entertainer walk animation
- added shop and attraction satisfaction rates
- added Toilets getting dirty if used; Janitors clean them
- added some employee stats
- tweaked coaster physics (increased friction, so some old rides might not work anymore)
- did a balancing pass on flat ride and tracked ride stats
- did a balancing pass on guest happiness and ride preference
- made guests better at judging how much they liked a ride (Ferris Wheel and transport rides are still problematic)
- made terraforming tool and tower ride height changer feel more responsive
- shortened queue signs and lamps to fit into tunnels
- despawning derailed cars after a while; enabled collisions between cars
- increased max. support height on Suspended Coaster
- moved shops back a bit so guests don't clip into them as badly
- made park visualizations (happiness, trash) respond faster
- guests: tweaked collision avoidance to look more natural, should also result in fewer collisions; better foot placement while walking
- increased attraction builder preview image sizes
- clamping number input fields to valid ranges
- improved the look of wooden supports on some terrain configurations
- fixed terraforming tool sometimes producing weird unexpected results with smoothing enabled
- fixed terraforming flatten tool not properly following the mouse cursor
- fixed cursor jumping around near vertical walls in terraforming tools
- fixed a case where guests would step onto employee paths
- fixed guests getting stuck if toilet they're using is being deleted
- fixed tracked ride entrance/exit being deleted if adjacent station platform was removed
- fixed some problems with longitudinal G force calculation
- fixed a case where a path tile failed to delete and gave infinite refunds
- fixed park entrance being misaligned
- fixed newly hired employees appearing in the list of whatever employee tab is currently opened in the employee manager window
- fixed wooden supports clipping through the track
- fixed ghost train behaviour and stats for multi-station tracked rides
- fixed people getting confused on stairs (most notably guests on stair queues)
- fixed bench/lamp/bin-builder not previewing correct prices while multi-building objects using Shift key
- fixed fence builder not previewing building costs when dragging
- fixed park info window opened from sidebar menu being slightly different than when opened from clicking on park entrance
- fixed guests not receiving as much nausea on rides as intended
- might fix a bug that caused workers to stop working (blind fix, let me know if it still happens)

Version 1.2:
NOTE: you might have to close and re-open some tracked rides in existing savegames.

- added Carousel
- added deco objects: water tower, barrels, vases, modern pavilion
- added Tea drink to Hot Drinks stall
- added proper Wing Coaster stations
- tracked rides don't need an entrance for every station anymore
- did a balancing pass on food: increased all food effects; made duration between taking bites more predictable and reduced it; changed required resources and resource costs a bit; reduced toilet need gained from food/drinks
- reduced effect of certain thoughts on happiness
- made sure guests don't head for shops that are really far away
- made guests stop heading for rides/food if they are very tired
- improved error logging
- improved behaviour when placing a queue tile next to two queue ends where one of them is connected to a path and the other isn't (always connect to the queue that has an open end first)
- scaled down some tree colliders
- fixed inverted wing coaster supports
- fixed: queue ends belonging to different stations aren't supposed to connect to each other
- fixed deleting raised tracked ride station platforms not working properly
- fixed people pushing each other off of paths in some situations, should prevent them from ending up in places they're not supposed to be (such as flat ride platforms)
- fixed guests not being properly lined up in queues anymore after loading savegame
- fixed: don't advance path cursor if building in a location isn't possible
- fixed staff management window not behaving as expected when resized
- fixed visual glitch on the head of bald dudes
- fixed grasses clipping through flat ride platforms/park entrance paths
- fixes for data visualizations: made sure black/white effect stays on as long as there's an active data visualization; data visualizations work for objects that have been created after enabling the visualization now

Version 1.1:
- added confirmation dialog when removing rides
- added: saving/restoring the sizes of resizable windows
- added confirmation dialog when trying to save over a different existing savegame
- added employee status to staff list entries
- made trash bags automatically disappear after a while (for now)
- improved building paths from raised station entrances/exits, simply click on the entrance/exit tile and start dragging (worked before, but requires less precision now)
- fixed coaster segments sometimes not being properly deleted, Wing Coaster seemed to be particularly prone to this
- fixed: sometimes stuff got deleted that shouldn't be deleted (when auto-deleting something overlapping, such as trees)
- fixed doubled finance view entries for January, Year 0
- fixed missing collisions on Chinese Food stall
- fixed Ferris Wheel using too much CPU time
- fixed guests sometimes using employee paths as shortcuts
- fixed problem with calculation of drop height rating of tracked rides that lead to all kinds of weird side-effects
- fixed a case where guests would get stuck, most commonly on station platforms
- fixed fence build previews not disappearing if canceling build with Escape
- fixed excessive amounts of bloom on lower quality settings
- fixed Enterprise not rotating in splash screen logo
- fixed some cases where staff would stop working
- fixed "Continue" button in splash screen not working
- a couple of fixes for savegame loading problems
- rewrote build preview shader, hopefully this fixes problems some were experiencing with build previews not being rendered properly